Subject: Re: Semantics of change IDs (Re: Gerrit, GitButler, and Jujutsu projects collaborating on change-id commit footer)

From: Nico Williams <[email-masked]>
Date: Tue, 22 Apr 2025 23:47:10 -0500

On Tue, Apr 22, 2025 at 08:02:20PM -0500, Nico Williams wrote:
> But remember that proponents want change IDs to not quite be unique,
> since the point is that they tie multiple different versions of a commit
> series together for the purpose of code review.  In the end, when the
> code review is completed and approved then the change ID might be unique
> again, but then cherry-picking onto other branches for forward- or
> back-porting might render them non-unique again.

Ah, right, the thing about change IDs getting copied to new commits when
cherry-picking was my suggestion.  I stand by it, but it's not what
others are proposing.